Commit 559a1879 authored by Steffen Vogel's avatar Steffen Vogel 🎅🏼
Browse files

use requirements.txt instead of specifiying the Python dependencies in the Dockerfile


Former-commit-id: a79d16d6
parent 41bb7ed3
......@@ -32,16 +32,7 @@ RUN dnf -y install \
villas-node-devel
# Python Packages
RUN pip3 install \
pandas \
numpy \
matplotlib \
sphinx \
m2r \
breathe \
wheel \
pytest \
pyyaml \
acs-dataprocessing
ADD requirements.txt .
RUN pip3 install -r requirements.txt
ENV LD_LIBRARY_PATH /usr/local/lib64
......@@ -96,7 +96,6 @@ setup(
],
setup_requires = [
'm2r',
'breathe',
'pytest-runner',
'wheel'
],
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment